Bug 479557 - Crash during kickstart install from harddrive
Crash during kickstart install from harddrive
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-11 04:53 EST by Michael Jørgensen
Modified: 2009-06-18 14:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 14:18:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Jørgensen 2009-01-11 04:53:20 EST
Description of problem:
When trying to make a fresh install of Fedora Core 10 from the harddrive containing a copy of the DVD contents, it crashes just before installing the individual packages.


Version-Release number of selected component (if applicable):
anaconda 11.4.1.62


How reproducible:
Always


Steps to Reproduce:
1. Boot from CD (Fedora Core 10, disk 1)
2. Enter command linux ks=hd:sda7:/FC10/DVD/ks.cfg
  
Actual results:
After displaying "Transferring install to hard drive..." it shortly thereafter crashes with a traceback:
backend.py line 179: can only umount by mount point.

Apparently, nothing is mounted at /mnt/stage2 at this time.


Expected results:
Anaconda proceeds with installing the individual packages.


Additional info:
The kickstart file contains the line:
harddrive --partition=sda7 --dir=/FC10/DVD/images/install.img

Workaround:
One possible workaround is to boot from hard drive instead of CD. This is what is suggested in bug 474123.
Another workaround is as follows:
1. Copy the CD ISO's to the harddrive in the directory FC10
2. In the kickstart file write:
harddrive --partition=sda7 --dir=/FC10
3. Boot with the command line:
linux ks=hd:sda7:/FC10/ks.cfg
Then the install generates a number of error messages relating to not being able to find the install image, but they may be safely ignored.

General notes:
Making a fresh install of FC10 from harddrive using the anaconda kickstart method has proven very difficult and troublesome, due to this bug and to bug 474123. This feature appears to be not adequately tested.
Comment 1 Chris Lumens 2009-01-12 10:37:21 EST
Can you please attach the complete traceback to this bug report?  I think I've seen bugs like this before but it's a little hard to tell without more context.

Note You need to log in before you can comment on or make changes to this bug.